I am relatively new to Inventor and I am incredibly curious about its possibilities.
Can I write ILogic to create an assembly, prompt a user for X number of components, then place components correlating to X, and finally constraining them to a specified template? With the things I've seen since I've started using Inventor it seems like this is a possibility. Is Inventor that powerful?
Thank you!
Solved! Go to Solution.
I am relatively new to Inventor and I am incredibly curious about its possibilities.
Can I write ILogic to create an assembly, prompt a user for X number of components, then place components correlating to X, and finally constraining them to a specified template? With the things I've seen since I've started using Inventor it seems like this is a possibility. Is Inventor that powerful?
Thank you!
Solved! Go to Solution.
Solved by bhavik4244. Go to Solution.
yes it's possible to do. however, you have to explicitely define your sequence of actions.
Dim oTg As TransientGeometry = ThisApplication.TransientGeometry Dim doc As Document = ThisDoc.Document Dim ass As AssemblyDocument = ThisApplication.Documents.Add(DocumentTypeEnum.kAssemblyDocumentObject) ass.ComponentDefinition.Occurrences.Add(doc.FullFileName, oTg.CreateMatrix())
above is to add new assembly, simillarly you may add code to add componetns and constrain with Transient vector positions.
yes it's possible to do. however, you have to explicitely define your sequence of actions.
Dim oTg As TransientGeometry = ThisApplication.TransientGeometry Dim doc As Document = ThisDoc.Document Dim ass As AssemblyDocument = ThisApplication.Documents.Add(DocumentTypeEnum.kAssemblyDocumentObject) ass.ComponentDefinition.Occurrences.Add(doc.FullFileName, oTg.CreateMatrix())
above is to add new assembly, simillarly you may add code to add componetns and constrain with Transient vector positions.
Can't find what you're looking for? Ask the community or share your knowledge.